import { ProfileService } from "./profile-service";
import { SchemaService } from "./schema-service";
import { Friend } from "../dto/friend";
declare class FriendService {
    private schemaService;
    private profileService;
    setStore(store: any): void;
    kvStore: any;
    constructor(schemaService: SchemaService, profileService: ProfileService);
    loadStoreForWallet(walletAddress: string): Promise<void>;
    connectToFriends(walletAddress: string): Promise<void>;
    get(address: string): any;
    put(address: string, friend: Friend): Promise<void>;
    delete(address: string): Promise<any>;
    list(offset: number, limit: number): Friend[];
    listByDateMilli(): Friend[];
    getAll(): Friend[];
    close(): Promise<any>;
    load(amount?: number): Promise<any>;
    savePeerList(friends: Friend[]): Promise<void>;
    updateFriendLastKnownAddress(friend: Friend): Promise<void>;
    connect(friend: Friend): Promise<void>;
}
export { FriendService };
