import { Profile } from "../dto/profile";
import { SchemaService } from "./schema-service";
declare class ProfileService {
    private schemaService;
    setStore(store: any): void;
    store: any;
    constructor(schemaService: SchemaService);
    getCurrentUser(): Promise<Profile>;
    getProfileByWallet(walletAddress: string): Promise<Profile>;
    updateLastKnownAddress(): Promise<void>;
    loadStoreForWallet(walletAddress: string): Promise<void>;
    read(address: string): Promise<Profile>;
    put(profile: Profile): Promise<void>;
    delete(cid: string): Promise<string>;
    load(): Promise<any>;
}
export { ProfileService };
