import { SchemaService } from "./schema-service";
import { SiteSettings } from "../dto/site-settings";
declare class SiteSettingsService {
    private schemaService;
    loadedWalletAddress: string;
    kvStore: any;
    constructor(schemaService: SchemaService);
    loadStoresForWallet(walletAddress: string): Promise<void>;
    put(walletAddress: string, settings: SiteSettings): Promise<SiteSettings>;
    get(walletAddress: string): Promise<SiteSettings>;
    static getForWallet(walletAddress: string): Promise<SiteSettings>;
    delete(walletAddress: string): Promise<void>;
    count(): number;
    close(): Promise<void>;
}
export { SiteSettingsService };
