
class ImageService {

    constructor(
        private ipfs
    ) {}


    async cidToUrl(cid:string) : Promise<string> {
        
        let result = await this.ipfs.get(cid)
        var blob = new Blob([result[0].content], {type:"image/jpg"})

        return window.URL.createObjectURL(blob)

    }

}

export {
    ImageService
}